summaryrefslogtreecommitdiff
path: root/buildbot/make_auditor_reports.sh
diff options
context:
space:
mode:
Diffstat (limited to 'buildbot/make_auditor_reports.sh')
-rwxr-xr-xbuildbot/make_auditor_reports.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/buildbot/make_auditor_reports.sh b/buildbot/make_auditor_reports.sh
index 24cd380..8c45d6e 100755
--- a/buildbot/make_auditor_reports.sh
+++ b/buildbot/make_auditor_reports.sh
@@ -49,6 +49,11 @@ rm "${REPORT_FILE_NOEXT}.log"
echo Removing "${REPORT_FILE_NOEXT}.txt", "${WIRE_REPORT_FILE_NOEXT}.txt"
rm "${REPORT_FILE_NOEXT}.txt" "${WIRE_REPORT_FILE_NOEXT}.txt"
+if ! test -f "${REPORT_FILE_NOEXT}.pdf"; then
+ echo Could not produce the report
+ exit 1
+fi
+
# Group to assign the file.
GROUP="test"
if echo $(whoami) | grep demo; then